Unity in low-graphics mode has animations and unneeded redraws

Bug #1598770 reported by Marco Trevisan (Treviño) on 2016-07-04
54
This bug affects 16 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
High
Marco Trevisan (Treviño)
Xenial
High
Unassigned
nux (Ubuntu)
High
Marco Trevisan (Treviño)
Xenial
High
Unassigned
unity (Ubuntu)
High
Marco Trevisan (Treviño)
Xenial
High
Unassigned
unity-control-center (Ubuntu)
Medium
Marco Trevisan (Treviño)
Xenial
Medium
Unassigned

Bug Description

[Impact]

When unity is in Low graphics mode (because of software rendering) there are still window animations and fade effects which we should get rid of.

[Test case]

This should apply naturally to a (virtual-)machine with no hardware acceleration or There are multiple ways to force low-gfx mode:

1) Add an upstart job such as:

cat << EOF > ~/.config/upstart/lowgfx.conf
start on starting unity7

pre-start script
  #initctl set-env --global UNITY_LOW_GFX_MODE=1
  initctl set-env --global LIBGL_ALWAYS_SOFTWARE=1
end script
EOF

2) Run unity with:
   COMPIZ_CONFIG_PROFILE=ubuntu-lowgfx

On login unity should use opaque views (dash, switcher, launcher, shortcut-dialogs) with no fading and reduced effects. Windows should also use smaller shadows.

[Regression potential]

Some settings from unity-control-center couldn't be applied to normal profile. Low graphics mode might be used as normal one.

Related branches

Changed in unity (Ubuntu):
status: New → In Progress
importance: Undecided → High
Changed in compiz (Ubuntu):
status: New → In Progress
importance: Undecided → High
Changed in nux (Ubuntu):
status: New → In Progress
importance: Undecided → High
Changed in compiz (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in nux (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in unity (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.13.0+16.10.20160705-0ubuntu1

---------------
compiz (1:0.9.13.0+16.10.20160705-0ubuntu1) yakkety; urgency=medium

  [ Eleni Maria Stea ]
  * Added options for no animation in expo and scale plugins. They skip
    the intermediate fading steps that force several redraws.

  [ Marco Trevisan (Treviño) ]
  * Composite: use C++ goodness for managing damaging rectangles
  * debian: add unity-lowgfx profile to compizconfig (LP: #1598770)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 05 Jul 2016 01:12:10 +0000

Changed in compiz (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 4.0.8+16.10.20160705.1-0ubuntu1

---------------
nux (4.0.8+16.10.20160705.1-0ubuntu1) yakkety; urgency=medium

  * unity_support_test: add llvmpipe as software-rendererd (LP:
    #1598770)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 05 Jul 2016 01:11:01 +0000

Changed in nux (Ubuntu):
status: In Progress → Fix Released
Changed in unity-control-center (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: New → In Progress
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.5.0+16.10.20160705.4-0ubuntu1

---------------
unity (7.5.0+16.10.20160705.4-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * Add missing header to fix compilation error with -Duse_pch=OFF.
  * Filter out fullscreen window in show desktop mode to decide if unity
    must be displayed. (LP: #1597706)
  * Make sure file manager icon is not removed when unpinned. (LP:
    #1578792)
  * Properly calculate the intersection geometry in PanelView::Draw.
    This is needed to properly call SyncGeometries and to avoid problems
    such as lp:1595698. (LP: #1595698)

  [ Eleni Maria Stea ]
  * speeds up the showdesktop plugin in lowgfx mode
  * UnityScreen: only redraw parts of the screen visible in each output
    (LP: #1598770)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: check if a setting key is available
    instead of crashing
  * ApplicationLauncherIcon: ensure quirks are properly set on icon
    initialization
  * Views: Toggle animators durations based on low-gfx setting (LP:
    #1598770)
  * unity7.conf: use different compiz profile based on
    unity_support_test result (LP: #1598770)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 05 Jul 2016 10:24:14 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
description: updated
Changed in unity-control-center (Ubuntu Xenial):
status: New → Fix Committed
summary: - Unity in low-graphics mode has animations and unneded redraws
+ Unity in low-graphics mode has animations and unneeded redraws

Hello Marco, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.0+16.04.20160705-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Marco, or anyone else affected,

Accepted compiz into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/compiz/1:0.9.12.2+16.04.20160705-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in compiz (Ubuntu Xenial):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Marco, or anyone else affected,

Accepted nux into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nux/4.0.8+16.04.20160705-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nux (Ubuntu Xenial):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-control-center - 15.04.0+16.10.20160705.1-0ubuntu1

---------------
unity-control-center (15.04.0+16.10.20160705.1-0ubuntu1) yakkety; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * CcAppearancePanel: read COMPIZ_CONFIG_PROFILE value to choose the
    right settings path (LP: #1598770)

  [ Trent Lloyd ]
  * This patch fixes a crash when changing the default browser handler
    (LP: #1304388)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 05 Jul 2016 23:40:29 +0000

Changed in unity-control-center (Ubuntu):
status: In Progress → Fix Released
tags: added: verification-done
removed: verification-needed

I tested it on my default install by enabling lowgfx through CCSM.

It did switch off all transparency effects. Also there are no preview animations in Dash but I still have fade in and fade out animation for showing windows (Super+W).

In my testing using virtual machine that animation was disabled so I guess it works as intended. Also in virtual machine I can't enable workspaces.

Ensure that unity-control-center is updated in your machine too. There's a SRU for that too.

Also, the lowgfx setting in CCSM isn't enough for doing a full testing.

You can also force it by running

COMPIZ_CONFIG_PROFILE=ubuntu-lowgfx compiz --replace

Changed in compiz (Ubuntu Xenial):
importance: Undecided → High
Changed in nux (Ubuntu Xenial):
importance: Undecided → High
Changed in unity (Ubuntu Xenial):
importance: Undecided → High
Changed in unity-control-center (Ubuntu Xenial):
importance: Undecided → Medium

I've forced the lowgfx setting with command from comment #9 and the fade in fade out animations are gone.

But I can't change the launcher icons size. The slider in control center isn't working. Also The workspace switcher can't be enabled and it disapeared from launcher. I have it enabled in regular gfx.

This is the version of unity-control-center: 15.04.0+16.04.20160705-0ubuntu1

You also have to run unity-control-center with that environment variable:

  COMPIZ_CONFIG_PROFILE=ubuntu-lowgfx unity-control-center

This is automatic when this is forced with upstart, otherwise you've to do it by hand.

That finally worked.

Changing launcher icons size works and workspaces also work without unneeded animations.

Jason Gerard DeRose (jderose) wrote :

Possibly as a result of this change, unity/compiz is failing to start when trying to install from the latest 16.04.1 daily ISO under qemu (xenial-desktop-amd64.iso 20160713, sha1sum c9b1ad9b1044c4e68684395daa3f85e016491c3a).

I attached a screenshot as I couldn't file a bug from within the qemu VM (apport doesn't seem able to launch firefox).

Jason Gerard DeRose (jderose) wrote :

Here's another screenshot that shows the SegvAnalysis.

In my testing thus far, this failure (assuming it's related to this unity/nux change) only seems to happen when trying to install under qemu. I tried -vga qxl, -vga std, and -vga virtio... none of them yield a working installation. Compiz always fails to start.

Jason, this is bug #1599900, already under our care.

Thanks

Jason Gerard DeRose (jderose) wrote :

@Marco: thanks for the FYI!

Marking as verification-needed since a new SRU version has to be landed to fix the crash mentioned above.

tags: added: verification-needed
removed: verification-done
Brian Murray (brian-murray) wrote :

Hello Marco, or anyone else affected,

Accepted compiz into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/compiz/1:0.9.12.2+16.04.20160714-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Steve Langasek (vorlon) wrote :

Hello Marco, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.0+16.04.20160715-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-done
removed: verification-needed
tags: added: verification-needed
removed: verification-done
Andrea Azzarone (azzar1) on 2016-07-15
tags: added: verification-done
removed: verification-needed
Andrés Alcarraz (alcarraz) wrote :

Hi I'm not running in Low GFX mode but dash and switcher are opaque, how can I re enable transparency for dash and switcher?

What profile are you running?
 echo $COMPIZ_CONFIG_PROFILE

Is lowgfx option enabled in your CCSM settings?
  gsettings set org.compiz.unityshell:/org/compiz/profiles/unity/plugins/unityshell/ low-graphics-mode false
  gsettings set org.compiz.unityshell:/org/compiz/profiles/unity/plugins/unityshell/ dash-blur-experimental 2

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-control-center - 15.04.0+16.04.20160705-0ubuntu1

---------------
unity-control-center (15.04.0+16.04.20160705-0ubuntu1) xenial; urgency=medium

  [ Trent Lloyd ]
  * Fix crash when application supports no mime-type (LP: #1304388)

  [ Marco Trevisan (Treviño) ]
  * CcAppearancePanel: read COMPIZ_CONFIG_PROFILE value to choose the
    right settings path (LP: #1598770)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 05 Jul 2016 14:48:55 +0000

Changed in unity-control-center (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity-control-center has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 4.0.8+16.04.20160705-0ubuntu1

---------------
nux (4.0.8+16.04.20160705-0ubuntu1) xenial; urgency=medium

  * unity_support_test: add llvmpipe as software-rendererd (LP:
    #1598770)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Tue, 05 Jul 2016 10:54:14 +0000

Changed in nux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.12.2+16.04.20160714-0ubuntu1

---------------
compiz (1:0.9.12.2+16.04.20160714-0ubuntu1) xenial; urgency=medium

  [ Eleni Maria Stea ]
  * Added options for no animation in expo and scale plugins. They skip
    the intermediate fading steps that force several redraws.
  * Added a new option in show desktop plugin that skips the fade
    animation: useful when performance is more important than eyecandy.

  [ Marco Trevisan (Treviño) ]
  * debian: add unity-lowgfx profile to compizconfig (LP: #1598770)
  * Composite: use C++ goodness for managing damaging rectangles
  * ccsGSettingsBackend: don't try to update setting if wrapper is not
    found
  * migration scripts: remove unsupported plugins for all the unity
    profiles

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Thu, 14 Jul 2016 16:00:57 +0000

Changed in compiz (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.4.0+16.04.20160715-0ubuntu1

---------------
unity (7.4.0+16.04.20160715-0ubuntu1) xenial; urgency=medium

  [ Eleni Maria Stea ]
  * PanelView: Don't draw it if the geo doesn't intersect the monitor
    geo (as in ezoom)
  * speeds up the showdesktop plugin in lowgfx mode

  [ Andrea Azzarone ]
  * Add whitelist for auto-repated keys. (LP: #1586491)
  * Fix scale window activation if in show desktop mode. (LP: #1582056)
  * Order matters in the rendering. Draw launcher shadow after the
    background in all cases. (LP: #1586374)
  * Fallback to volume name if no other identifier is available. (LP:
    #1103593)
  * Do not trigger screensaver on session inactive. (LP: #1587507)
  * Use SwitcherController::SetDetail instead of detail=... (LP:
    #1587618)
  * UnitySettings: Add an option to enable/disable pam account checking.
    (LP: #1460649)
  * Lockscreen: Make sure warning and errors are properly shown to the
    user (LP: #1593696)
  * Add missing header to fix compilation error with -Duse_pch=OFF.
  * Filter out fullscreen window in show desktop mode. (LP: #1597706)
  * Make sure file manager icon is not removed when unpinned. (LP:
    #1578792)
  * Properly calculate the intersection geometry in PanelView::Draw.
    This is needed to properly call SyncGeometries and to avoid problems
    such as lp:1595698. (LP: #1595698)

  [ Alberto Milone ]
  * UnitySettings: Add dconf keys for disabling multitouch gestures (LP:
    #1589520)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: use key::Grabber to handle allowed
    bindings (LP: #1438754)
  * LockScreenAcceleratorController: check if a setting key is available
    instead of crashing
  * ApplicationLauncherIcon: ensure quirks are properly set on icon
    initialization
  * Views: Toggle animators durations based on low-gfx setting (LP:
    #1598770)
  * unity7.conf: use different compiz profile based on
    unity_support_test result (LP: #1598770)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Fri, 15 Jul 2016 10:14:41 +0000

Changed in unity (Ubuntu Xenial):
status: Fix Committed → Fix Released
Plurtu (plurtu) wrote :

Why does the GUI update-manager not update to the latest compiz package? I noticed the unity package updated and has unity7.conf which tries to use the compiz profile "unity-lowgfx" but it doesn't exist because compiz is still at version 20160526. sudo apt-get upgrade/dist-upgrade both detect and install the new compiz package but not update-manager.

Tamir (sugip) wrote :

How to use gui сompiz settings? The Compiz Settings GUI is no such profile - unity-lowgfx (low-graphics in Ubuntu 16.04.1 x64).

Plurtu (plurtu) wrote :

I have the same problem with ccsm, don't know why the lowgfx profile doesn't show but you can manually import it from /etc/compizconfig/unity-lowgfx.ini.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers